package com.xxl.job.admin.service;

import com.baomidou.mybatisplus.extension.service.IService;
import com.yunzhupaas.scheduletask.entity.HandlerNameEntity;

import java.util.List;

/**
 * 任务名称业务类
 *
 * @author ：云筑产品开发平台组
 * @version: V3.1.0
 * @copyright 深圳市乐程软件有限公司
 * @date ：2022/3/29 11:10
 */
public interface HandlerNameService extends IService<HandlerNameEntity> {

    /**
     * 创建任务名称
     *
     * @param entity
     * @return
     */
    boolean create(HandlerNameEntity entity);

    /**
     * 创建任务名称
     *
     * @param entity
     * @return
     */
    boolean delete(HandlerNameEntity entity);

    /**
     * 获取本地方法
     *
     * @return
     */
    List<HandlerNameEntity> queryList();

    /**
     * 删除所有数据
     *
     * @return
     */
    boolean removeAll();

    /**
     * 获取本地方法
     *
     * @param localHostTaskId
     * @return
     */
    HandlerNameEntity getInfo(String localHostTaskId);
}

